net.minecraftforge.event.terraingen

## Class DeferredBiomeDecorator

- java.lang.Object
- - net.minecraft.world.biome.BiomeDecorator
  - - net.minecraftforge.event.terraingen.DeferredBiomeDecorator

-     public class DeferredBiomeDecorator
      extends BiomeDecorator

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.biome.BiomeDecorator

      `bigMushroomGen, bigMushroomsPerChunk, cactiPerChunk, cactusGen, chunk_X, chunk_Z, clayGen, clayPerChunk, coalGen, currentWorld, deadBushPerChunk, diamondGen, dirtGen, flowersPerChunk, generateLakes, goldGen, grassPerChunk, gravelAsSandGen, gravelGen, ironGen, lapisGen, mushroomBrownGen, mushroomRedGen, mushroomsPerChunk, randomGenerator, redstoneGen, reedGen, reedsPerChunk, sandGen, sandPerChunk, sandPerChunk2, treesPerChunk, waterlilyGen, waterlilyPerChunk, yellowFlowerGen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeferredBiomeDecorator(BiomeDecorator wrappedOriginal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decorateChunk(World par1World, java.util.Random par2Random, BiomeGenBase biome, int par3, int par4)`
    `void` | `fireCreateEventAndReplace(BiomeGenBase biome)`

    - ### Methods inherited from class net.minecraft.world.biome.BiomeDecorator

      `genDecorations, generateOres, genStandardOre1, genStandardOre2`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeferredBiomeDecorator

          public DeferredBiomeDecorator(BiomeDecorator wrappedOriginal)

  - ### Method Detail

    - #### decorateChunk

          public void decorateChunk(World par1World,
                           java.util.Random par2Random,
                           BiomeGenBase biome,
                           int par3,
                           int par4)

      Overrides:
        `decorateChunk` in class `BiomeDecorator`

    - #### fireCreateEventAndReplace

          public void fireCreateEventAndReplace(BiomeGenBase biome)